Summary: A script for sending e-mail notifications for changed URL's.
Name: CheckURL
Version: 2.0
Release: 3
Copyright: GPL
Group: Applications/Internet
Source: http://anders.fix.no/software/checkurl%{version}.tgz
Source2: freshmeat-filter
Patch: checkurl-2.0-redhat.patch
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
BuildArch: noarch
URL: http://anders.fix.no/software/#unix
Requires: diffutils, fileutils, lynx, sed, /usr/sbin/sendmail, textutils

%description
CheckURL is a flexible, handy tool to automatically check the content of URLs
(web pages, FTP indexes etc.) and send back notifications of changes in them by
mail. It now features recipient lists as well as filtering of unwanted/
uninteresting changes and the inclusion of the actual changes (not just
the indication).

%prep
%setup -n checkurl2.0
%patch
install -m 755 %{SOURCE2} filters

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,var/lib}
install -m 755 CheckURLs $RPM_BUILD_ROOT/usr/bin
install -m 644 lynx.cfg $RPM_BUILD_ROOT/var/lib/CheckURLs-lynx.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README filters lists rlists
/usr/bin/CheckURLs
%config /var/lib/CheckURLs-lynx.cfg

%changelog
* Thu May  5 2005 Aleksey Nogin <rpm@nogin.org> 2.0-3
- Require /usr/sbin/sendmail, not sendmail
- Updated the freshmeat filter.

* Mon Jan 17 2000 Alexey Nogin <ayn2@cornell.edu> 2.0-2
- Added my freshmeat filter

* Wed Dec 15 1999 Alexey Nogin <ayn2@cornell.edu> 2.0-1
- Created an RPM from scratch
- Updated file locations to match Red Hat conventions
